@import '../../../assets/styles/general';
@import '../../../assets/styles/layout';
@import '../../../assets/styles/button';

:host {
  display: flex;
  flex-direction: column;
  width: 100vw;
  max-width: 100vw;
  min-height: 100vh;
  background-image: url('../../../assets/images/post-background.svg');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-color: rgba(255, 255, 255, 0.7);
  background-blend-mode: overlay;
}

mat-card {
  margin: 10px;
  background-color: rgba(255, 255, 255, 0.72);
}

mat-card-header {
  display: block;
  direction: rtl;
  position: relative;
  margin-bottom: 20px;
}

mat-card-header > h3 {
  font-family: elMessiri;
  font-size: $title-size-sm;
  margin: 0;
  display: inline-block;
}

mat-card-header > time {
  display: inline-block;
  font-size: 10px;
  position: absolute;
  left: 0;
  top: 5px;
}

mat-card figure {
  margin: 0;
  width: 100%;
  height: auto;

  img {
    width: 100%;
    height: auto;
  }
}

mat-card-content > div {
  margin-top: 20px;
  font-family: iranSans;
  text-align: justify;
  font-size: $text-size-sm;
  direction: rtl;
  overflow-wrap: break-word;
}
@media screen and (min-width: 450px) and (max-width: 768px) {
  mat-card {
    margin: 25px;
  }

  mat-card-content > div,
  mat-card-header {
    margin-bottom: 40px;
  }

  mat-card figure {
    max-width: 500px;
    margin: auto;
  }

  mat-card-header > h3 {
    font-size: $title-size-m;
  }

  mat-card-content > div,
  mat-card-header > time {
    font-size: $text-size-m;
  }
}
@media screen and (min-width: 769px) and (max-width: 992px) {
  mat-card {
    margin: 40px;
  }

  mat-card-header {
    margin-bottom: 50px;
  }

  mat-card-content > div {
    margin-top: 50px;
  }

  mat-card figure {
    max-width: 500px;
    margin: auto;
  }

  mat-card-header > h3 {
    font-size: $title-size-lg;
  }

  mat-card-content > div,
  mat-card-header > time {
    font-size: $text-size-lg;
  }

  mat-card-content > div {
    line-height: 30px;
  }
}
@media screen and (min-width: 992px) and (max-width: 1200px) {
  mat-card {
    margin: 60px;
  }

  mat-card-header {
    margin-bottom: 50px;
  }

  mat-card-content > div {
    margin-top: 50px;
  }

  mat-card figure {
    max-width: 500px;
    margin: auto;
  }

  mat-card-header > h3 {
    font-size: $title-size-xlg;
  }

  mat-card-content > div,
  mat-card-header > time {
    font-size: $text-size-xlg;
  }

  mat-card-content > div {
    line-height: 40px;
  }
}
@media screen and (min-width: 1200px) {
  mat-card {
    margin: 60px;
  }

  mat-card-header {
    margin-bottom: 50px;
  }

  mat-card-content > div {
    margin-top: 50px;
  }

  mat-card figure {
    max-width: 500px;
    margin: auto;
  }

  mat-card-header > h3 {
    font-size: $title-size-xlg;
  }

  mat-card-content > div,
  mat-card-header > time {
    font-size: $text-size-xlg;
  }

  mat-card-content > div {
    line-height: 40px;
  }
}
